[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#939153: marked as done (nfs-utils: Fix LSB init output)



Your message dated Wed, 11 Jan 2023 21:07:27 +0000
with message-id <E1pFiJj-0085cX-MD@fasolo.debian.org>
and subject line Bug#939153: fixed in nfs-utils 1:2.6.2-4
has caused the Debian Bug report #939153,
regarding nfs-utils: Fix LSB init output
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
939153: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=939153
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Source: nfs-utils
Source-Version: 1:1.3.4-2.5
Severity: wishlist
Tags: patch

Hi!

The attached patch fixes the LSB init script to have more consistent
output.

Thanks,
Guillem
From b6e07cae38198643828a4e4008eda6edd25d9be0 Mon Sep 17 00:00:00 2001
From: Guillem Jover <guillem@debian.org>
Date: Sun, 1 Sep 2019 00:07:45 +0200
Subject: [PATCH] Fix LSB init script output
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

For the exporting/unexporting action use log_action_*_msg instead
of log_*_msg, so that we switch from this output:

  start → Exporting directories for NFS kernel daemon....
  stop → Unexporting directories for NFS kernel daemon....

to:

  start → Exporting directories for NFS kernel daemon...done.
  stop → Unexporting directories for NFS kernel daemon...done.

which is confusing, given that there are three dots for the initial
action plus the final dot for completion.

Remove trailing dot from log_warning_msg calls, to switch from stuff
like:

  Not starting NFS kernel daemon: no exports. ... (warning).

to:

  Not starting NFS kernel daemon: no exports ... (warning).

where the trailing dot is not misplaced anymore.

Use status_of_proc instead of an ad-hoc implementation.
---
 debian/nfs-kernel-server.init | 26 ++++++++++----------------
 1 file changed, 10 insertions(+), 16 deletions(-)

diff --git a/debian/nfs-kernel-server.init b/debian/nfs-kernel-server.init
index e0c51d6..88ee869 100644
--- a/debian/nfs-kernel-server.init
+++ b/debian/nfs-kernel-server.init
@@ -72,19 +72,19 @@ case "$1" in
 
 		# See if our running kernel supports the NFS kernel server
 		if ! grep -E -qs "[[:space:]]nfsd\$" /proc/filesystems; then
-			log_warning_msg "Not starting $DESC: no support in current kernel."
+			log_warning_msg "Not starting $DESC: no support in current kernel"
 			exit 0
 		fi
 		
 		do_mount nfsd $PROCNFSD_MOUNTPOINT || NEED_SVCGSSD=no
-		log_begin_msg "Exporting directories for $DESC..."
+		log_action_begin_msg "Exporting directories for $DESC"
 		$PREFIX/sbin/exportfs -r
 		RET=$?
 		if [ $RET != 0 ]; then
-			log_end_msg $RET
+			log_action_end_msg $RET
 			exit $RET
 		fi
-		log_end_msg 0
+		log_action_end_msg 0
 
 		log_daemon_msg "Starting $DESC"
 		log_progress_msg "nfsd"
@@ -142,7 +142,7 @@ case "$1" in
 
 		log_end_msg 0
 	else
-		log_warning_msg "Not starting $DESC: no exports."
+		log_warning_msg "Not starting $DESC: no exports"
 	fi
 	;;
 
@@ -180,14 +180,14 @@ case "$1" in
 
 	log_end_msg 0
 
-	log_begin_msg "Unexporting directories for $DESC..."
+	log_action_begin_msg "Unexporting directories for $DESC"
 	$PREFIX/sbin/exportfs -au
 	RET=$?
 	if [ $RET != 0 ]; then
-		log_end_msg $RET
+		log_action_end_msg $RET
 		exit $RET
 	fi
-	log_end_msg 0
+	log_action_end_msg 0
 
 	if mountpoint -q $PROCNFSD_MOUNTPOINT
 	then
@@ -196,14 +196,8 @@ case "$1" in
 	;;
 
   status)
-	if pidof nfsd >/dev/null
-	then
-	    echo "nfsd running"
-	    exit 0
-	else
-	    echo "nfsd not running"
-	    exit 3
-	fi
+	status_of_proc nfsd nfsd
+	exit $?
 	;;
 
   reload | force-reload)
-- 
2.23.0.187.g17f5b7556c


--- End Message ---
--- Begin Message ---
Source: nfs-utils
Source-Version: 1:2.6.2-4
Done: Salvatore Bonaccorso <carnil@debian.org>

We believe that the bug you reported is fixed in the latest version of
nfs-utils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 939153@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated nfs-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 11 Jan 2023 21:41:40 +0100
Source: nfs-utils
Architecture: source
Version: 1:2.6.2-4
Distribution: unstable
Urgency: medium
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Closes: 939153 985002
Changes:
 nfs-utils (1:2.6.2-4) unstable; urgency=medium
 .
   [ Guillem Jover ]
   * Fix LSB init script output (Closes: #939153)
 .
   [ Salvatore Bonaccorso ]
   * systemd: Don't degrade system state for nfs-clients when krb5 keytab
     present but not containing the nfs/<FQDN> principal (Closes: #985002)
   * Declare compliance with Debian policy 4.6.2
Checksums-Sha1: 
 51b1871d8fc6595875db8167d276ff7bb1315916 2554 nfs-utils_2.6.2-4.dsc
 3e6c958ddf6b2136b5f10ea533cd1110a9b51066 53232 nfs-utils_2.6.2-4.debian.tar.xz
Checksums-Sha256: 
 6be761b8c935e5ec6859be6dad5089aefae14d5a9deb0ab3a77a46ee91ba9258 2554 nfs-utils_2.6.2-4.dsc
 98f0df962f3c43d8d1ac2721206ef5704b4e075d316a944ffba1768e291596cc 53232 nfs-utils_2.6.2-4.debian.tar.xz
Files: 
 12860eb3b6f9dcceb8ea3732eb360fa9 2554 net optional nfs-utils_2.6.2-4.dsc
 d9e6e78df61d5067b3a4f9e653f5cfcd 53232 net optional nfs-utils_2.6.2-4.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQKmBAEBCgCQFiEERkRAmAjBceBVMd3uBUy48xNDz0QFAmO/H/lfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDQ2
NDQ0MDk4MDhDMTcxRTA1NTMxRERFRTA1NENCOEYzMTM0M0NGNDQSHGNhcm5pbEBk
ZWJpYW4ub3JnAAoJEAVMuPMTQ89EGSYP/i0tDIjAKRwbL+dGa0lIHmFH5EqwO/W7
IGXB0JYedllVSIwiNtRzY7faEt/vjB+Ga9ZhNlxqur0MS7TE9QTi9pv8EeOf6ixr
A52eNYgL+AiCDv6t4Ufj4XYJC/AMNnoaFS3yVg5XS1WTHiqx8t45XIfOp8JmECCZ
Zorpo5Ibq1LDBOy4AFrQGZqq3dgSjGYUxRBXXRdup0D5DEQVGSF8/37+C0q/2WMb
RAWm5M1anALyuTcjKqa/AZgJnS4J8NEqBGLwZo+cF7zKCnKL5QHdCCFqyNcYq683
vnGf6XZMjB47GmtawNAcS3GT/ROehZjZ7RBZAwugVuIIGP2XaF2aWi/z2yqOQel4
ze1WaGALpRo3d1EDtuSbwaZoEsHgQ8t7dQAD9fHFW5pVzhmPupuSwjAkQjjPrMLm
Bu8/6IESvAMIqv9mmRSfyhjGUuYjh2HfcSoO8K22HPh5DrqKjdkcxL50bpv06k+X
TikZ1dZJXcoX2yn6WaoKdVb9/tRwdBypGeVYyJR/Z2ucZfvqUgSwz+uuCSoHHFdy
HCYZR3PqQ0rHyS4EsSZLPHS1rHnwGa1vXVAQ9JO1mZfzv42x2KR4XGXyzinCGLoK
xM8sLJA96H4+s6s8qytdJsb+gFvr63Cv/cl/4yFl2myR6wIssGD+yxfWJ8K8o1ha
mCLONiFtZsGc
=ONNB
-----END PGP SIGNATURE-----

--- End Message ---

Reply to: